<?php

	namespace Mocha\UI\Tasks;

	use Mocha\Core\KnownInstanceGuids;
	use Mocha\UI\Tasks\HardcodedTask;

	class ViewElementContent extends HardcodedTask
	{

		protected function OnProcessUpdates()
		{

		}

		protected function OnRender()
		{
			/**
			 * @var MySQLDatabaseOms
			 */
			$oms = mocha_get_oms();

			$element = $oms->getInstanceByGlobalIdentifier(KnownInstanceGuids::Element__ViewElementContent);
			return $element;
			/*
			echo ("Related Instance: <br />");
			print_r($this->RelatedInstance);
			*/
		}

	}
?>